DefaultConvertersConfiguration (Grails 6.0.0)

Package: org.grails.databinding.converters

## [Java] Class DefaultConvertersConfiguration

- org.grails.databinding.converters.DefaultConvertersConfiguration

-     @org.springframework.context.annotation.Configuration
      public class DefaultConvertersConfiguration

  Default converters configuration.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private DataBindingConfigurationProperties` | `configurationProperties` |
    `private Jsr310ConvertersConfiguration` | `jsr310ConvertersConfiguration` |
    `private org.springframework.web.servlet.LocaleResolver` | `localResolver` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultConvertersConfiguration (GrailsApplication grailsApplication, DataBindingConfigurationProperties configurationProperties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CurrencyValueConverter` | `defaultCurrencyConverter()` Returns: The default currency converter
    `` | `protected DateConversionHelper` | `defaultDateConverter()`
    `` | `protected ValueConverter` | `defaultGrailsBigDecimalConverter()`
    `` | `protected ValueConverter` | `defaultGrailsBigIntegerConverter()`
    `` | `protected TimeZoneConverter` | `defaultTimeZoneConverter()`
    `` | `protected UUIDConverter` | `defaultuuidConverter()`
    `` | `protected LocaleAwareNumberConverter` | `doubleConverter()`
    `` | `protected LocaleAwareNumberConverter` | `floatConverter()`
    `` | `ValueConverter` | `instantStringValueConverter()`
    `` | `ValueConverter` | `instantValueConverter()`
    `` | `protected LocaleAwareNumberConverter` | `integerConverter()`
    `` | `FormattedValueConverter` | `localDateConverter()`
    `` | `TypedStructuredBindingEditor` | `localDateStructuredBindingEditor()`
    `` | `FormattedValueConverter` | `localDateTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `localDateTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `localDateTimeValueConverter()`
    `` | `ValueConverter` | `localDateValueConverter()`
    `` | `FormattedValueConverter` | `localTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `localTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `localTimeValueConverter()`
    `` | `protected LocaleAwareNumberConverter` | `longConverter()`
    `` | `FormattedValueConverter` | `offsetDateTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `offsetDateTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `offsetDateTimeValueConverter()`
    `` | `FormattedValueConverter` | `offsetTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `offsetTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `offsetTimeValueConverter()`
    `` | `ValueConverter` | `periodValueConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveDoubleConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveFloattConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveIntConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveLongConverter()`
    `` | `protected LocaleAwareNumberConverter` | `primitiveShortConverter()`
    `` | `protected LocaleAwareNumberConverter` | `shortConverter()`
    `` | `FormattedValueConverter` | `zonedDateTimeConverter()`
    `` | `TypedStructuredBindingEditor` | `zonedDateTimeStructuredBindingEditor()`
    `` | `ValueConverter` | `zonedDateTimeValueConverter()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final DataBindingConfigurationProperties configurationProperties

    - #### private final Jsr310ConvertersConfiguration jsr310ConvertersConfiguration

    - #### private final org.springframework.web.servlet.LocaleResolver localResolver

  - ### Constructor Detail

    - #### public DefaultConvertersConfiguration(GrailsApplication grailsApplication, DataBindingConfigurationProperties configurationProperties)

  - ### Method Detail

    - #### @org.springframework.context.annotation.Bean("defaultCurrencyConverter") protected CurrencyValueConverter defaultCurrencyConverter()

      Returns:
        The default currency converter

    - #### @org.springframework.context.annotation.Bean("defaultDateConverter") protected DateConversionHelper defaultDateConverter()

    - #### @org.springframework.context.annotation.Bean("defaultGrailsBigDecimalConverter") protected ValueConverter defaultGrailsBigDecimalConverter()

    - #### @org.springframework.context.annotation.Bean("defaultGrailsBigIntegerConverter") protected ValueConverter defaultGrailsBigIntegerConverter()

    - #### @org.springframework.context.annotation.Bean("timeZoneConverter") protected TimeZoneConverter defaultTimeZoneConverter()

    - #### @org.springframework.context.annotation.Bean("defaultUUIDConverter") protected UUIDConverter defaultuuidConverter()

    - #### @org.springframework.context.annotation.Bean("defaultDoubleConverter") protected LocaleAwareNumberConverter doubleConverter()

    - #### @org.springframework.context.annotation.Bean("defaultFloatConverter") protected LocaleAwareNumberConverter floatConverter()

    - #### @org.springframework.context.annotation.Bean("instantStringValueConverter") ValueConverter instantStringValueConverter()

    - #### @org.springframework.context.annotation.Bean("instantValueConverter") ValueConverter instantValueConverter()

    - #### @org.springframework.context.annotation.Bean("defaultIntegerConverter") protected LocaleAwareNumberConverter integerConverter()

    - #### @org.springframework.context.annotation.Bean("localDateConverter") FormattedValueConverter localDateConverter()

    - #### @org.springframework.context.annotation.Bean("localDateStructuredBindingEditor") TypedStructuredBindingEditor localDateStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean("localDateTimeConverter") FormattedValueConverter localDateTimeConverter()

    - #### @org.springframework.context.annotation.Bean("localDateTimeStructuredBindingEditor") TypedStructuredBindingEditor localDateTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean("localDateTimeValueConverter") ValueConverter localDateTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean("localDateValueConverter") ValueConverter localDateValueConverter()

    - #### @org.springframework.context.annotation.Bean("localTimeConverter") FormattedValueConverter localTimeConverter()

    - #### @org.springframework.context.annotation.Bean("localTimeStructuredBindingEditor") TypedStructuredBindingEditor localTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean("localTimeValueConverter") ValueConverter localTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean("defaultLongConverter") protected LocaleAwareNumberConverter longConverter()

    - #### @org.springframework.context.annotation.Bean("offsetDateTimeConverter") FormattedValueConverter offsetDateTimeConverter()

    - #### @org.springframework.context.annotation.Bean("offsetDateTimeStructuredBindingEditor") TypedStructuredBindingEditor offsetDateTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean("offsetDateTimeValueConverter") ValueConverter offsetDateTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean("offsetTimeConverter") FormattedValueConverter offsetTimeConverter()

    - #### @org.springframework.context.annotation.Bean("offsetTimeStructuredBindingEditor") TypedStructuredBindingEditor offsetTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean("offsetTimeValueConverter") ValueConverter offsetTimeValueConverter()

    - #### @org.springframework.context.annotation.Bean("periodValueConverter") ValueConverter periodValueConverter()

    - #### @org.springframework.context.annotation.Bean("defaultdoubleConverter") protected LocaleAwareNumberConverter primitiveDoubleConverter()

    - #### @org.springframework.context.annotation.Bean("defaultfloatConverter") protected LocaleAwareNumberConverter primitiveFloattConverter()

    - #### @org.springframework.context.annotation.Bean("defaultintConverter") protected LocaleAwareNumberConverter primitiveIntConverter()

    - #### @org.springframework.context.annotation.Bean("defaultlongConverter") protected LocaleAwareNumberConverter primitiveLongConverter()

    - #### @org.springframework.context.annotation.Bean("defaultshortConverter") protected LocaleAwareNumberConverter primitiveShortConverter()

    - #### @org.springframework.context.annotation.Bean("defaultShortConverter") protected LocaleAwareNumberConverter shortConverter()

    - #### @org.springframework.context.annotation.Bean("zonedDateTimeConverter") FormattedValueConverter zonedDateTimeConverter()

    - #### @org.springframework.context.annotation.Bean("zonedDateTimeStructuredBindingEditor") TypedStructuredBindingEditor zonedDateTimeStructuredBindingEditor()

    - #### @org.springframework.context.annotation.Bean("zonedDateTimeValueConverter") ValueConverter zonedDateTimeValueConverter()